summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarayan Desai <desai@mcs.anl.gov>2009-03-26 00:20:01 +0000
committerNarayan Desai <desai@mcs.anl.gov>2009-03-26 00:20:01 +0000
commit993084699d80d2400bd11cb7da920c92c88d5ea7 (patch)
treef67f4d7d5c981230a31f9dafddc4c2da4d902eec
parente1fd3dc8fc34a8d96d354ae5d7057d6de39a26ab (diff)
downloadbcfg2-993084699d80d2400bd11cb7da920c92c88d5ea7.tar.gz
bcfg2-993084699d80d2400bd11cb7da920c92c88d5ea7.tar.bz2
bcfg2-993084699d80d2400bd11cb7da920c92c88d5ea7.zip
Version bump to 1.0pre2
git-svn-id: https://svn.mcs.anl.gov/repos/bcfg/trunk/bcfg2@5143 ce84e21b-d406-0410-9b95-82705330c041
-rw-r--r--debian/changelog6
-rw-r--r--gentoo/bcfg2-1.0_pre2.ebuild71
-rw-r--r--misc/bcfg2.spec6
-rw-r--r--redhat/VERSION2
-rw-r--r--setup.py2
-rw-r--r--solaris/pkginfo.bcfg22
-rw-r--r--solaris/pkginfo.bcfg2-server2
7 files changed, 84 insertions, 7 deletions
diff --git a/debian/changelog b/debian/changelog
index ba9dd96d9..b8c81bf40 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+bcfg2 (1.0pre2-0.1) unstable; urgency=low
+
+ * new prerelease
+
+ -- Narayan Desai <desai@mcs.anl.gov> Wed, 25 Mar 2009 19:17:14 -0500
+
bcfg2 (1.0pre1-0.0) unstable; urgency=low
* new prerelease
diff --git a/gentoo/bcfg2-1.0_pre2.ebuild b/gentoo/bcfg2-1.0_pre2.ebuild
new file mode 100644
index 000000000..494588d0e
--- /dev/null
+++ b/gentoo/bcfg2-1.0_pre2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Bcfg2 is a configuration management tool. Package includes client
+and server."
+HOMEPAGE="http://trac.mcs.anl.gov/projects/bcfg2"
+
+# handle the "pre" case
+MY_P="${P/_/}"
+SRC_URI="ftp://ftp.mcs.anl.gov/pub/bcfg/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+RESTRICT="mirror"
+
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="server"
+
+DEPEND="
+ app-portage/gentoolkit
+
+ || ( >=dev-lang/python-2.5
+ (
+ >=dev-lang/python-2.3
+ || ( dev-python/elementtree dev-python/lxml )
+ )
+ )
+ "
+
+RDEPEND="
+ server? (
+ dev-python/pyopenssl
+ || ( app-admin/gamin app-admin/fam )
+ )
+ "
+
+src_compile() {
+ python setup.py build
+}
+
+src_install() {
+ python setup.py install \
+ --root=${D} \
+ --record=PY_SERVER_LIBS \
+ --install-scripts /usr/sbin
+
+ # Remove files only necessary for a server installation
+ if ! use server; then
+ rm -rf ${D}/usr/sbin/bcfg2-*
+ rm -rf ${D}/usr/share/bcfg2
+ rm -rf ${D}/usr/share/man/man8
+ fi
+
+ # Install a server init.d script
+ if use server; then
+ newinitd ${FILESDIR}/bcfg2-server.rc bcfg2-server
+ fi
+
+ insinto /etc
+ doins ${S}/examples/bcfg2.conf
+}
+
+pkg_postinst () {
+ depscan.sh
+}
+
+pkg_postrm () {
+ depscan.sh
+}
diff --git a/misc/bcfg2.spec b/misc/bcfg2.spec
index 6374ace5b..267acfc09 100644
--- a/misc/bcfg2.spec
+++ b/misc/bcfg2.spec
@@ -13,14 +13,14 @@
%define lxmldep %(rpm -q %{alt_lxml} 2>&1 > /dev/null && echo %{alt_lxml} || echo %{dfl_lxml})
Name: bcfg2
-Version: 1.0pre1
+Version: 1.0pre2
Release: %{release}
Summary: Configuration management system
Group: Applications/System
License: BSD
URL: http://trac.mcs.anl.gov/projects/bcfg2
-Source0: ftp://ftp.mcs.anl.gov/pub/bcfg/bcfg2-1.0pre1.tar.gz
+Source0: ftp://ftp.mcs.anl.gov/pub/bcfg/bcfg2-1.0pre2.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
@@ -91,7 +91,7 @@ Bcfg2 can enable the construction of complex change management and
deployment strategies.
%prep
-%setup -q -n bcfg2-1.0pre1
+%setup -q -n bcfg2-1.0pre2
%build
%{__python}%{pythonversion} setup.py build
diff --git a/redhat/VERSION b/redhat/VERSION
index d7749a2da..a156d5796 100644
--- a/redhat/VERSION
+++ b/redhat/VERSION
@@ -1 +1 @@
-1.0pre1
+1.0pre2
diff --git a/setup.py b/setup.py
index 1503feefc..e262dd358 100644
--- a/setup.py
+++ b/setup.py
@@ -4,7 +4,7 @@ from distutils.core import setup
from glob import glob
setup(name="Bcfg2",
- version="1.0pre1",
+ version="1.0pre2",
description="Bcfg2 Server",
author="Narayan Desai",
author_email="desai@mcs.anl.gov",
diff --git a/solaris/pkginfo.bcfg2 b/solaris/pkginfo.bcfg2
index 50eaed274..77deec341 100644
--- a/solaris/pkginfo.bcfg2
+++ b/solaris/pkginfo.bcfg2
@@ -1,7 +1,7 @@
PKG="SCbcfg2"
NAME="bcfg2"
ARCH="sparc"
-VERSION="1.0pre1-1"
+VERSION="1.0pre2-1"
CATEGORY="application"
VENDOR="Argonne National Labratory"
EMAIL="bcfg-dev@mcs.anl.gov"
diff --git a/solaris/pkginfo.bcfg2-server b/solaris/pkginfo.bcfg2-server
index f3ab806ee..ccc23230f 100644
--- a/solaris/pkginfo.bcfg2-server
+++ b/solaris/pkginfo.bcfg2-server
@@ -1,7 +1,7 @@
PKG="SCbcfg2-server"
NAME="bcfg2-server"
ARCH="sparc"
-VERSION="1.0pre1-1"
+VERSION="1.0pre2-1"
CATEGORY="application"
VENDOR="Argonne National Labratory"
EMAIL="zach@mcs.anl.gov"